#!/bin/bash

tag=0.3.3

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone git://github.com/faye/websocket-driver-node.git
cd websocket-driver-node
git archive --prefix="spec/" --format=tar tags/${tag}:spec/ \
    | bzip2 > "$pwd"/tests-${tag}.tar.bz2
popd
